#ifndef __screen_move_overcurrent
#define __screen_move_overcurrent

#include "../screen.h"
#include "../state.h"


/*
 * Move overcurrent screen
 *   Displays a warning that the motor driver has reached the set maximum current.
 */
class MoveOverCurrentScreen : public BaseScreen
{
  public:
    MoveOverCurrentScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onButton(Button button);
    void onTick();

  private:
};

#endif
